// © 2025 Naked People Team. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "InteractableBase.h"
#include "GameFramework/Actor.h"
#include "Wardrobe.generated.h"

class UClothingItemInstance;

UCLASS(Blueprintable)
class NAKEDDESIRE_API AWardrobe : public AInteractableBase
{
	GENERATED_BODY()
	
public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	TArray<TObjectPtr<UClothingItemInstance>> ClothingItems;
};
